<?PHP
class users_Model {
	var $call_controller = array('users', 'my_account');
	var $call_designer = array('users');
	var $call_helper = array('title');

	function init(){

		$this->users->POST('insert_role')->method();
		$this->users->POST('update_role')->method();
		$this->users->GET('action=delete_role')->method('delete_role');

		$this->users->POST('insert_user')->method();
		$this->users->POST('update_user')->method();
		$this->users->GET('action=delete_user')->method('delete_user');

		$this->users->GET('action=accept')->method('accept_agent');
		$this->users->GET('action=block')->method('block_agent');

		$this->users->GET('case=agents')->method('agents');
	}

	function roles(){

		$this->init();
		$this->users->roles()->Page('roles');
	}


	function users(){

		$this->init();
		$this->users->get_users_data()->Page('users');
	}

	function dashboard(){

		$this->users->dashboard()->Page('dashboard');
	}
}

?>